/*
 * Esercizio 6 Capitolo 5 libro Savitch.
 *
 * Si realizzi una classe Java che definisce:
 * - il metodo trova che accetta in ingresso una stringa e un
 * carattere e restituisce true se il carattere e' presente 
 * almeno una volta nella stringa
 * - il metodo main che legge in input due stringhe inserite 
 * dall'utente. Se le due stringhe hanno la stessa lunghezza,
 * invoca il metodo trova passandogli la prima stringa e il
 * primo carattere della seconda; se hanno lunghezza diversa,
 * invoca il metodo trova passando la seconda stringa e 
 * l'ultimo carattere della prima stringa.
 * Stampa i video il risultato dell'invocazione del metodo. 
 */

import java.util.*;

public class ConfrontaStringhe {
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		
		System.out.println("Inserire due stringhe: ");
		String primaStringa = tastiera.next();
		String secondaStringa = tastiera.next();
		
		if(primaStringa.length()==secondaStringa.length())
			System.out.println(trova(primaStringa,secondaStringa.charAt(0)));
		else
			System.out.println(trova(secondaStringa,primaStringa.charAt(primaStringa.length()-1)));
		
		tastiera.close();
	}
	
	public static boolean trova(String stringa, char carattere){
		boolean trovato = false;
		int i=0;
		while(i<stringa.length() && !trovato){
			if(stringa.charAt(i)==carattere)
				trovato=true;
			i++;
		}
		return trovato;
	}

}
